import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import '@/plugins/element.js';
import '@/plugins/axios';
import '@/plugins/check-res';
import '@/plugins/meta';
import '@/plugins/filters';
import '@/plugins/loading';
import '@/plugins/var';
import '@/plugins/methods';
import '@/plugins/setting';
import '@/plugins/components';
import '@frame/src/assets/icon/iconfont.css';
// 管理中心页面效果布局所需插件
import ElementUI from 'element-ui';
import VueI18n from 'vue-i18n';
import 'babel-polyfill';
import { messages } from '@frame/src/components/admin-frame/i18n';
import '@frame/src/components/admin-frame/directives';
import 'element-ui/lib/theme-chalk/index.css';
Vue.config.productionTip = false;
Vue.use(VueI18n);
Vue.use(ElementUI, { size: 'small' });
const i18n = new VueI18n({ locale: 'zh', messages });
new Vue({ router, store, i18n, render: (h) => h(App) }).$mount('#app');
window.vm = new Vue({ router });
